## lemonldap-ng 1.3.3

=== Makefile ===
#!/usr/bin/make

# Prefix for packaging
DESTDIR=

PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Default directories install
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
# BIN dirs
BINDIR=$(LMPREFIX)/bin
RBINDIR=$(DESTDIR)/$(BINDIR)
DATADIR=$(LMPREFIX)/data
RDATADIR=$(DESTDIR)/$(DATADIR)

EXAMPLEROOT=`pwd`/example

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
PORTALSKINSDIR=$(PORTALDIR)/skins
RPORTALSKINSDIR=$(DESTDIR)/$(PORTALSKINSDIR)
MANAGERDIR=$(DOCUMENTROOT)/manager
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
MANAGERSKINSDIR=$(MANAGERDIR)/skins
RMANAGERSKINSDIR=$(DESTDIR)/$(MANAGERSKINSDIR)
SESSIONSEXPLORERDIR=$(MANAGERDIR)
RSESSIONSEXPLORERDIR=$(DESTDIR)/$(SESSIONSEXPLORERDIR)
DOCDIR=$(DOCUMENTROOT)/doc
RDOCDIR=$(DESTDIR)/$(DOCDIR)
TESTDIR=$(DOCUMENTROOT)/test
RTESTDIR=$(DESTDIR)/$(TESTDIR)
EXAMPLESDIR=$(LMPREFIX)/examples
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
TOOLSDIR=$(LMPREFIX)/tools
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
RCONFDIR=$(DESTDIR)/$(CONFDIR)
CRONDIR=$(LMPREFIX)/etc/cron.d
RCRONDIR=$(DESTDIR)/$(CRONDIR)
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)

# LL::NG captcha data dir
CAPTCHADIR=$(DATADIR)/captcha/data
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)

# LL::NG captcha output dir
CAPTCHAOUTPUTDIR=$(PORTALDIR)/captcha_output
RCAPTCHAOUTPUTDIR=$(DESTDIR)/$(CAPTCHAOUTPUTDIR)

# Apache user/group
APACHEUSER=
APACHEGROUP=

# Apache version
APACHEVERSION=2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
VHOSTLISTEN=*:80

# Other
VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls lemonldap-ng-portal/example/skins/`
MANAGERSKINS=`ls lemonldap-ng-manager/example/skins/`
DIFF=diff -aurN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'

SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
EXAMPLELANG=en # For static Manager example only
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

DIFFPREFIX=

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - make test to verify your installation"
	@echo " - make install to install all"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo " * Doxygen documentation"
	@echo "   - doxygen (to build Doxygen documentation in doc/devel/)"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs          (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin           ($(BINDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site          (all sites including install_doc_site)"
	@echo "   - install_portal_site   ($(PORTALDIR))"
	@echo "   - install_manager_site  ($(MANAGERDIR))"
	@echo "   - install_handler_site  ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site      ($(DOCDIR))"
	@echo "   - install_examples_site ($(EXAMPLESDIR))"
	@echo

#
# Perl libraries configuration
#

configure:	common_conf handler_conf portal_conf manager_conf

common_conf:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch common_conf

handler_conf:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch handler_conf

portal_conf:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch portal_conf

manager_conf:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch manager_conf

#
# Perl libraries make
#
common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}
	@touch common

handler:	handler_conf
	@$(MAKE) -C ${SRCHANDLERDIR}
	@touch handler

portal:		portal_conf
	@$(MAKE) -C ${SRCPORTALDIR}
	@touch portal

manager:	manager_conf
	@$(MAKE) -C ${SRCMANAGERDIR}
	@touch manager

test:		all common_test handler_test portal_test manager_test extra_test

common_test:	common
	@$(MAKE) -C ${SRCCOMMONDIR} test

handler_test:	handler common_test
	@$(MAKE) -C ${SRCHANDLERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/"

portal_test:	portal handler_test common_test
	@$(MAKE) -C ${SRCPORTALDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

manager_test:	manager handler_test common_test
	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

extra_test:	all
	cd ${SRCPORTALDIR} && prove -b -I ../lemonldap-ng-common/blib/lib -I ../lemonldap-ng-handler/blib/lib xt
#	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t

#
# INSTALL
#
install:	install_libs install_bin install_site

#
# Perl libraires install
#
install_libs:	common_install_libs install_handler_libs install_portal_libs install_manager_libs

common_install_libs:		common
	@$(MAKE) -C ${SRCCOMMONDIR} install

install_handler_libs:	handler
	@$(MAKE) -C ${SRCHANDLERDIR} install

install_portal_libs:		portal
	@$(MAKE) -C ${SRCPORTALDIR} install

install_manager_libs:	manager
	@$(MAKE) -C ${SRCMANAGERDIR} install

example:
	$(MAKE) install_site install_bin LMPREFIX=$(EXAMPLEROOT)

install_bin:	install_conf_dir
	# Binary install
	@install -v -d $(RBINDIR)
	@cp --preserve=mode --remove-destination \
		${SRCHANDLERDIR}/example/scripts/purgeLocalCache \
		${SRCPORTALDIR}/example/scripts/purgeCentralCache \
		${SRCPORTALDIR}/example/scripts/buildPortalWSDL \
		${SRCCOMMONDIR}/scripts/convertConfig \
		${SRCCOMMONDIR}/scripts/lmMigrateConfFiles2ini \
		${SRCMANAGERDIR}/example/scripts/lmConfigEditor \
		${SRCMANAGERDIR}/example/scripts/lemonldap-ng-cli \
			$(RBINDIR)
	@if [ ! "$(APACHEUSER)" ]; then \
		$(PERL) -i -pe 's#__APACHEUSER__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
		$(PERL) -i -pe 's#__APACHEUSER__#nobody#g;' $(RBINDIR)/lemonldap-ng-cli; \
	else \
		$(PERL) -i -pe 's#__APACHEUSER__#$(APACHEUSER)#g;' $(RBINDIR)/lmConfigEditor; \
		$(PERL) -i -pe 's#__APACHEUSER__#$(APACHEUSER)#g;' $(RBINDIR)/lemonldap-ng-cli; \
	fi
	@if [ ! "$(APACHEGROUP)" ]; then \
		$(PERL) -i -pe 's#__APACHEGROUP__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
		$(PERL) -i -pe 's#__APACHEGROUP__#nobody#g;' $(RBINDIR)/lemonldap-ng-cli; \
	else \
		$(PERL) -i -pe 's#__APACHEGROUP__#$(APACHEGROUP)#g;' $(RBINDIR)/lmConfigEditor; \
		$(PERL) -i -pe 's#__APACHEGROUP__#$(APACHEGROUP)#g;' $(RBINDIR)/lemonldap-ng-cli; \
	fi
	@chmod +x $(RBINDIR)/*

#
# SITE INSTALL
#
install_site:	install_manager_site install_portal_site install_handler_site install_test_site install_examples_site install_doc_site
	# Site install
	@install -v -d $(RCONFDIR)
	# Check if erase is wanted
	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
		cp --remove-destination _example/etc/portal-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/handler-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/manager-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/test-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
	fi
	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
			s#__PORTALDIR__#$(PORTALDIR)/#g; \
			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
			s#__TESTDIR__#$(TESTDIR)/#g; \
			s#__VHOSTLISTEN__#$(VHOSTLISTEN)#g; \
			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
	# Fix a lost of rights on the main directory
	@chmod 755 $(RBINDIR) $(RDOCUMENTROOT) $(REXAMPLESDIR) $(RHANDLERDIR) $(RPORTALSKINSDIR) $(RMANAGERSKINSDIR) $(RTOOLSDIR) $(RCONFDIR) $(RDATADIR)
	@echo
	@echo "LemonLDAP::NG v${VERSION} is installed with these parameters:"
	@echo "  - System configuration: ${CONFDIR}"
	@echo "  - DNS domain (for cookies and virtual hosts): ${DNSDOMAIN}"
	@echo
	@echo "To finish configuration:"
	@echo
	@echo "1 - Add this in your Apache $(APACHEVERSION) configuration file:"
	@echo "      include ${CONFDIR}/portal-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/handler-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/manager-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/test-apache$(APACHEVERSION).conf"
	@echo
	@echo "2 - Restart Apache:"
	@echo "      apache$(APACHEVERSION)ctl restart"
	@echo
	@echo "3 - Run 'make postconf' as root to update /etc/hosts if your DNS service does not known auth.$(DNSDOMAIN) and manager.$(DNSDOMAIN)"
	@echo
	@echo "4 - Try to connect to http://test1.${DNSDOMAIN}/ or http://test2.${DNSDOMAIN}/ with demonstration accounts:"
	@echo "    - rtyler/rtyler"
	@echo "    - msmith/msmith"
	@echo "    - dwho/dwho"
	@echo
	@echo "5 - Connect to Manager at http://manager.${DNSDOMAIN}/ to edit configuration"
	@echo
	@if [ ! "$(APACHEUSER)" ]; then \
		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR), $(APACHEPSESSIONFILEDIR), $(CAPTCHADIR), $(RCAPTCHAOUTPUTDIR) and $(CONFDIR) have permissive permissions."; \
		echo "    Fix them by yourself to restrict their view to apache process only"; \
	fi
	@echo

install_manager_site:	install_conf_dir
	# Manager install
	@install -v -d ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) ${RMANAGERDIR}/skins/
	@for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
		[ -h $(RMANAGERDIR)/skins/$$skin ] && rm -f $(RMANAGERDIR)/skins/$$skin; \
		install -v -d $(RMANAGERSKINSDIR)/$$skin; \
	done
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/index.pl ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notfound.html ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/skins/* $(RMANAGERSKINSDIR)
	@if [ "$(MANAGERDIR)/skins/" != "$(MANAGERSKINSDIR)/" ]; then \
		for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
			rm -rf $(RMANAGERDIR)/skins/$$skin/; \
			ln -s $(MANAGERSKINSDIR)/$$skin $(RMANAGERDIR)/skins/$$skin; \
		done; \
	fi
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/$(CONFFILENAME)
	# Sessions explorer and notifications explorer install
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notifications.pl $(RSESSIONSEXPLORERDIR)
	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) -type d -name .svn)

=== debian/changelog ===
lemonldap-ng (1.3.3-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Imported Upstream version 1.3.3 (Closes: #736739, #736807)
  * Update images copyrights
  * Add captcha directories management
  * Rename liblemonldap-ng-conf-perl to liblemonldap-ng-common-perl with a
    transitional package
  * Add libnet-facebook-oauth2-perl to recommended dependencies
  * Add libunicode-string-perl in dependencies
  * Rearrange dependencies as required in upstream
  * Update lintian overrides to add notifications directory
  * Call "migrate" debconf arg only if a previous version exists
  * Bump Standards-Version to 3.9.5
  * Update javascript patch
  * Restore libxml-simple-perl in manager dependencies
  * Add psession dirs in lintian overrides
  * Use dpkg only to compare versions
  * Modify Apache-2.4 patch to be compliant both with Apache 2.2 and 2.4
    unsing mod_version

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Guard `dpkg --compare-versions' call in .config script with a check if
    the currently installed package version exists.
    Thanks to Ryan Tandy for the bug report. (Closes: #755945)
  * Explicitly (build) depend on libcgi-pm-perl.
  * Declare compliance with Debian Policy 3.9.6.

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 15 Oct 2014 21:14:52 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8),
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libcgi-pm-perl,
                     libclone-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libconfig-inifiles-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl (>= 2.3.0),
                     libmime-lite-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     libunicode-string-perl,
                     liburi-perl,
                     libhttp-message-perl | libwww-perl (<< 6),
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Description: OpenID, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache2-mod-perl2,
         libcgi-pm-perl,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libwww-perl
Recommends: libhttp-message-perl | libwww-perl (<< 6),
            liblwp-protocol-https-perl | libwww-perl (<< 6)
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG Apache handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Depends: liblemonldap-ng-common-perl
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblemonldap-ng-common-perl
Replaces: liblemonldap-ng-conf-perl (<< 1.3.3~)
Breaks: liblemonldap-ng-conf-perl (<< 1.3.3~)
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libdbi-perl,
         libnet-cidr-lite-perl,
         libsoap-lite-perl
Recommends: libapache-session-browseable-perl,
            libhtml-template-perl,
            libnet-ldap-perl,
            libhttp-message-perl | libwww-perl (<< 6),
            liblwp-protocol-https-perl | libwww-perl (<< 6),
            libxml-libxml-perl,
            libxml-simple-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs common files used by other Lemonldap::NG modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libhtml-template-perl,
         libjson-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libwww-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-simple-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl,
            liblwp-protocol-https-perl | libwww-perl (<< 6)
Pre-Depends: debconf
Provides: liblemonldap-ng-cli-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the administration interface (manager).

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libcgi-pm-perl,
         libclone-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libmime-lite-perl,
         libnet-ldap-perl,
         libregexp-assemble-perl,
         libstring-random-perl,
         libunicode-string-perl
Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
            libwww-perl
Suggests: libauthcas-perl,
          libauthen-captcha-perl,
          libdbi-perl,
          libglib-perl,
          liblasso-perl (>= 2.3.0),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libnet-facebook-oauth2-perl,
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libnet-twitter-perl,
          libsoap-lite-perl,
          liburi-perl,
          libweb-id-perl,
          libhttp-message-perl | libwww-perl (<< 6),
          liblwp-protocol-https-perl | libwww-perl (<< 6),
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the authentication portal.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
PSESSIONSDIR=$(LMVARDIR)/psessions
NOTIFICATIONSDIR=$(LMVARDIR)/notifications
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/captcha
CAPTCHAOUTPUTDIR=$(LMVARDIR)/portal/captcha_output

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr/ \
			LMPREFIX=/usr/share/lemonldap-ng/ \
			BINDIR=$(LMSHAREDIR)/bin/ \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples/ \
			HANDLERDIR=$(LMSHAREDIR)/handler/ \
			PORTALSKINSDIR=$(LMSHAREDIR)/portal-skins/ \
			MANAGERSKINSDIR=$(LMSHAREDIR)/manager-skins/ \
			SESSIONSEXPLORERDATADIR=$(LMSHAREDIR)/sessions-explorer-imgs/ \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources/ \
			CONFDIR=/etc/lemonldap-ng/ \
			CRONDIR=/etc/cron.d/ \
			DATADIR=$(LMVARDIR) \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DOCDIR=/usr/share/doc/lemonldap-ng-doc

	test -n "$$LOCALBUILD" || ./scripts/minifierjs $$(find debian/tmp/ -name '*.js')
	test -n "$$LOCALBUILD" || ./scripts/minifiercss $$(find debian/tmp/ -name '*.css')

	mkdir $(TMP)/$(LMSHAREDIR)/manager $(TMP)/$(LMSHAREDIR)/portal
	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
	mv $(TMP)/$(LMVARDIR)/manager/*pl $(TMP)/$(LMSHAREDIR)/manager/

override_dh_compress:
	dh_compress -X favicon.ico

# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
#  * global configuration dirs must be writable by www-data but not readable
#    by all (also sessions, captcha,... dirs)
#  * lemonldap-ng.ini must not be readable by all
override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data \
		debian/*/$(SESSIONSDIR) \
		debian/*/$(SESSIONSDIR)/lock \
		debian/*/$(PSESSIONSDIR) \
		debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)/data \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHAOUTPUTDIR)
	chgrp www-data debian/liblemonldap-ng-common-perl/$(LMINIFILE) \
		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)/data \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHAOUTPUTDIR)
	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)
	chmod 640 debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE) \
		debian/liblemonldap-ng-common-perl/$(LMINIFILE)

## lemonldap-ng 1.4.6

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,11 @@
 RMANAGERSKINSDIR=$(DESTDIR)/$(MANAGERSKINSDIR)
 SESSIONSEXPLORERDIR=$(MANAGERDIR)
 RSESSIONSEXPLORERDIR=$(DESTDIR)/$(SESSIONSEXPLORERDIR)
-DOCDIR=$(DOCUMENTROOT)/doc
+DOCDIR=$(DOCUMENTROOT)
 RDOCDIR=$(DESTDIR)/$(DOCDIR)
+DEFDOCDIR=$(DOCUMENTROOT)/doc
+RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
+FRDOCDIR=$(DOCUMENTROOT)/fr-doc
 TESTDIR=$(DOCUMENTROOT)/test
 RTESTDIR=$(DESTDIR)/$(TESTDIR)
 EXAMPLESDIR=$(LMPREFIX)/examples
@@ -79,13 +82,9 @@
 APACHEFILENOTIFDIR=$(DATADIR)/notifications
 RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
 
-# LL::NG captcha data dir
-CAPTCHADIR=$(DATADIR)/captcha/data
+# LL::NG captcha dir
+CAPTCHADIR=$(DATADIR)/captcha
 RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
-
-# LL::NG captcha output dir
-CAPTCHAOUTPUTDIR=$(PORTALDIR)/captcha_output
-RCAPTCHAOUTPUTDIR=$(DESTDIR)/$(CAPTCHAOUTPUTDIR)
 
 # Apache user/group
 APACHEUSER=
@@ -141,8 +140,12 @@
 	@echo "   - install_manager_site  ($(MANAGERDIR))"
 	@echo "   - install_handler_site  ($(HANDLERDIR))"
 	@echo " * Documentation install :"
-	@echo "   - install_doc_site      ($(DOCDIR))"
+	@echo "   - install_doc_site      ($(DEFDOCDIR))"
 	@echo "   - install_examples_site ($(EXAMPLESDIR))"
+	@echo
+	@echo "Other languages documentation (fr only for now)"
+	@echo " - fr-doc                  (needs OmegaT)"
+	@echo " - install_fr_doc_site"
 	@echo
 
 #
@@ -201,7 +204,7 @@
 	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"
 
 extra_test:	all
-	cd ${SRCPORTALDIR} && prove -b -I ../lemonldap-ng-common/blib/lib -I ../lemonldap-ng-handler/blib/lib xt
+	cd ${SRCPORTALDIR} && prove -b -I ../lemonldap-ng-common/blib/lib -I ../lemonldap-ng-handler/blib/lib -I../${SRCPORTALDIR}/blib/lib/ xt
 #	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t
 
 #
@@ -271,13 +274,13 @@
 		cp --remove-destination _example/etc/test-apache$(APACHEVERSION).conf $(RCONFDIR); \
 		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
 	fi
-	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
-			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
+	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
 			s#__PORTALDIR__#$(PORTALDIR)/#g; \
 			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
 			s#__TESTDIR__#$(TESTDIR)/#g; \
 			s#__VHOSTLISTEN__#$(VHOSTLISTEN)#g; \
-			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
+			s#__DEFDOCDIR__#$(DEFDOCDIR)/#g; \
+			s#__FRDOCDIR__#$(FRDOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
 	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
 	# Fix a lost of rights on the main directory
 	@chmod 755 $(RBINDIR) $(RDOCUMENTROOT) $(REXAMPLESDIR) $(RHANDLERDIR) $(RPORTALSKINSDIR) $(RMANAGERSKINSDIR) $(RTOOLSDIR) $(RCONFDIR) $(RDATADIR)
@@ -307,7 +310,7 @@
 	@echo "5 - Connect to Manager at http://manager.${DNSDOMAIN}/ to edit configuration"
 	@echo
 	@if [ ! "$(APACHEUSER)" ]; then \
-		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR), $(APACHEPSESSIONFILEDIR), $(CAPTCHADIR), $(RCAPTCHAOUTPUTDIR) and $(CONFDIR) have permissive permissions."; \
+		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR), $(APACHEPSESSIONFILEDIR), $(CAPTCHADIR) and $(CONFDIR) have permissive permissions."; \
 		echo "    Fix them by yourself to restrict their view to apache process only"; \
 	fi
 	@echo
@@ -322,7 +325,7 @@
 		install -v -d $(RMANAGERSKINSDIR)/$$skin; \
 	done
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/index.pl ${RMANAGERDIR}
-	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notfound.html ${RMANAGERDIR}
+	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/*.html ${RMANAGERDIR}
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/skins/* $(RMANAGERSKINSDIR)
 	@if [ "$(MANAGERDIR)/skins/" != "$(MANAGERSKINSDIR)/" ]; then \
 		for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
@@ -334,7 +337,3 @@
 	# Sessions explorer and notifications explorer install
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notifications.pl $(RSESSIONSEXPLORERDIR)
-	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
-		${RSESSIONSEXPLORERDIR} \
-		$(RCONFDIR) -type d -name .svn)
-

=== debian/changelog ===
lemonldap-ng (1.4.6-3) unstable; urgency=medium

  * Replace jquery-ui libs by shared packages
  * Manager now depends on lemonldap-ng-doc
  * Add virtual packages saml-identity-provider and saml-service-provider
  * Replace fr-doc target by an alias to english documentation. 'fr-doc'
    Makefile target generates some errors with OmegaT.

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 25 Dec 2015 13:09:27 +0100

lemonldap-ng (1.4.6-2) unstable; urgency=medium

  * Update documentation path (Closes: #808473)
  * Add patch for a broken inheritance since upgrade (Closes: #808474)
  * Update debian/rules to clean double symlinks (not supported by Perl-5.22).
    Bug reported to upstream authors
  * Add spelling-errors.patch (reported)
  * Add lintian overrides file for false positive 'source-is-missing' tag:
    customized jquery-ui is not recognized by lintian (bug #808756)

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 22 Dec 2015 14:25:30 +0100

lemonldap-ng (1.4.6-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Add Dutch debconf translation.
    Thanks to Frans Spiesschaert. (Closes: #766514)

  [ Axel Beckert ]
  * debian/copyright: Use a Wayback Machine capture of Colin Clark's
    homepage. (Issue reported by DUCK.)

  [ Xavier Guimard ]
  * Imported Upstream version 1.4.6
  * Update debian/copyright
  * Replace Apache-2.4 patch by new apache-2.X upstream files
  * Update javascript patch to also replace bootstrap.js files by libjs-
    bootstrap package
  * Add libmouse-perl dependency
  * Add misc dependency to liblemonldap-ng-conf-perl transitional
    package
  * Update debian/NEWS: My::Handler example files are no more provided
  * Update handler.install file to remove My::Package files
  * Update debian/rules to remove files that are not deleted by quilt
  * Bump debhelper compatibility level to 9
  * Insert real names in long descriptions
  * Add debian/upstream/metadata
  * Add libjs-bootstrap in recommended dependencies
  * Really remove bootstrap fonts
  * Remove jquery copyright since it is deleted in packages

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 12 Oct 2015 12:54:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Xavier Guimard <x.guimard@free.fr>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
                      libauthcas-perl,
@@ -22,6 +22,7 @@
                      libio-string-perl,
                      libjson-perl,
                      liblasso-perl (>= 2.3.0),
+                     libmouse-perl,
                      libmime-lite-perl,
                      libnet-cidr-lite-perl,
                      libnet-ldap-perl,
@@ -51,6 +52,8 @@
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          liblemonldap-ng-manager-perl (= ${binary:Version}),
          liblemonldap-ng-portal-perl (= ${binary:Version})
+Provides: saml-identity-provider,
+          saml-service-provider
 Description: OpenID, CAS and SAML compatible Web-SSO system
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers. It can be used in conjunction with
@@ -106,11 +109,12 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the Apache module part (handler) used to protect web
+ Lemonldap::NG::Handler is the Apache module part (handler) used to protect web
  areas.
 
 Package: liblemonldap-ng-conf-perl
-Depends: liblemonldap-ng-common-perl
+Depends: ${misc:Depends},
+         liblemonldap-ng-common-perl
 Architecture: all
 Section: oldlibs
 Description: transitional dummy package
@@ -130,6 +134,7 @@
          libcrypt-openssl-x509-perl,
          libcrypt-rijndael-perl,
          libdbi-perl,
+         libmouse-perl,
          libnet-cidr-lite-perl,
          libsoap-lite-perl
 Recommends: libapache-session-browseable-perl,
@@ -150,17 +155,22 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs common files used by other Lemonldap::NG modules.
+ Lemonldap::NG::Common contains common files used by other Lemonldap::NG
+ modules.
 
 Package: liblemonldap-ng-manager-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         lemonldap-ng-doc (= ${binary:Version}),
          libconvert-pem-perl,
          libcrypt-openssl-rsa-perl,
          libhtml-template-perl,
          libjson-perl,
          libjs-jquery,
+         libjs-jquery-ui,
+         libjs-jquery-ui-theme-ui-lightness,
+         libjs-jquery-ui-theme-ui-darkness,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
@@ -168,8 +178,7 @@
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl
-Recommends: lemonldap-ng-doc (= ${binary:Version}),
-            libapache-session-browseable-perl,
+Recommends: libapache-session-browseable-perl,
             liblwp-protocol-https-perl | libwww-perl (<< 6)
 Pre-Depends: debconf
 Provides: liblemonldap-ng-cli-perl
@@ -185,7 +194,7 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the administration interface (manager).
+ Lemonldap::NG::Manager provides the administration interface.
 
 Package: liblemonldap-ng-portal-perl
 Architecture: all
@@ -195,6 +204,7 @@
          libclone-perl,
          libhtml-template-perl,
          libjs-jquery,
+         libjs-jquery-ui,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          libmime-lite-perl,
@@ -203,6 +213,7 @@
          libstring-random-perl,
          libunicode-string-perl
 Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
+            libjs-bootstrap,
             libwww-perl
 Suggests: libauthcas-perl,
           libauthen-captcha-perl,
@@ -235,5 +246,5 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- This package installs the authentication portal.
-
+ Lemonldap::NG::Portal provides the authentication portal.
+

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 LMSHAREDIR=/usr/share/lemonldap-ng
 LMVARDIR  =/var/lib/lemonldap-ng
 TMP       = $(CURDIR)/debian/tmp
+LMDOCDIR  =/usr/share/doc/lemonldap-ng-doc
 
 CONFDIR=/etc/lemonldap-ng
 SESSIONSDIR=$(LMVARDIR)/sessions
@@ -21,8 +22,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	cd lemonldap-ng-portal/example/skins/dark/ && rm -f redirect.tpl && ln -s ../common/redirect.tpl
 	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
 		PERLOPTIONS="INSTALLDIRS=vendor"
+
+override_dh_auto_clean:
+	cd lemonldap-ng-portal/example/skins/dark/ && rm -f redirect.tpl && ln -s ../pastel/redirect.tpl
+	$(MAKE) clean
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
@@ -40,10 +46,23 @@
 			CONFDIR=/etc/lemonldap-ng/ \
 			CRONDIR=/etc/cron.d/ \
 			DATADIR=$(LMVARDIR) \
+			APACHEVERSION=2.X \
 			APACHEUSER=www-data \
 			APACHEGROUP=www-data \
-			DOCDIR=/usr/share/doc/lemonldap-ng-doc
+			DEFDOCDIR=$(LMDOCDIR)
 
+	# Removing binary files due to a quilt bug
+	rm -rf $(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/fonts \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/css/bootstrap*.css \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/bootstrap/js/bootstrap.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery.cookie.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery.cookie.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery-ui-1.10.3.custom \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery-ui-1.10.3.custom.js \
+		$(TMP)/usr/share/lemonldap-ng/portal-skins/common/js/jquery-1.10.2.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/js/jquery-1.10.2.js \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/ui-darkness \
+		$(TMP)/usr/share/lemonldap-ng/manager-skins/default/ui-lightness
 	test -n "$$LOCALBUILD" || ./scripts/minifierjs $$(find debian/tmp/ -name '*.js')
 	test -n "$$LOCALBUILD" || ./scripts/minifiercss $$(find debian/tmp/ -name '*.css')

=== debian/watch ===
version=3
http://download.forge.objectweb.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
